// ===========================================================================
//	CFlyThroughApp.h
// ===========================================================================

#pragma once

#include <LApplication.h>


class	CFlyThroughApp : public LDocApplication {
public:
						CFlyThroughApp();		// constructor registers all PPobs
	virtual 			~CFlyThroughApp();		// stub destructor
	
		// LCommander methods
	virtual Boolean		ObeyCommand(CommandT inCommand, void* ioParam);	
	virtual void		FindCommandStatus(CommandT inCommand,
							Boolean &outEnabled, Boolean &outUsesMark,
							Char16 &outMark, Str255 outName);

		// LDocApplication methods
	virtual void		OpenDocument( FSSpec *inMacFSSpec);
	virtual void		ChooseDocument();
	
protected:

	virtual void		StartUp();		// overriding startup functions
};