//
//	FlyThroughPPobClasses.cp
//
//	This is just PowerPlant's PPobClasses.cp with the unused classes 
//	commented out so that the linker will produce a smaller application.
//
//	July 17, 1996
//

// ===========================================================================
//	PPobClasses.cp			   1994-1996 Metrowerks Inc. All rights reserved.
// ===========================================================================
//
//	The RegisterAllPPClasses() functions calls URegistrar::RegisterClass()
//	for every PowerPlant class that can create objects from a PPob resource.
//
//	If you call this function, you will have to include all PowerPlant
//	Pane classes in your project. Furthermore, every class will be "used"
//	as far as the Linker is concerned, meaning that the code for all those
//	classes will be included in the final program even if you never create
//	an instance of a particular class.
//
//	Therefore, you may want to only register the classes that you do use.
//	Copy the necessary calls from below and paste them into the contructor
//	for your application class.

#ifdef PowerPlant_PCH
#include PowerPlant_PCH
#endif

#include <PPobClasses.h>
#include <URegistrar.h>

#include <LActiveScroller.h>
#include <LButton.h>
#include <LCaption.h>
#include <LCicnButton.h>
#include <LDialogBox.h>
#include <LEditField.h>
#include <LGroupBox.h>
#include <LIconPane.h>
#include <LListBox.h>
#include <LOffscreenView.h>
#include <LPicture.h>
#include <LPlaceHolder.h>
#include <LPrintout.h>
#include <LScroller.h>
#include <LStdControl.h>
#include <LTable.h>
#include <LTextButton.h>
#include <LTextEdit.h>
#include <LWindow.h>

#include <LRadioGroup.h>
#include <LTabGroup.h>


// ---------------------------------------------------------------------------
//		 RegisterAllPPClasses
// ---------------------------------------------------------------------------
//	Register all PowerPlant classes that can create objects from Stream data

void
RegisterAllPPClasses()
{
//	URegistrar::RegisterClass(LButton::class_ID,		(ClassCreatorFunc) LButton::CreateButtonStream);
	URegistrar::RegisterClass(LCaption::class_ID,		(ClassCreatorFunc) LCaption::CreateCaptionStream);
//	URegistrar::RegisterClass(LDialogBox::class_ID,		(ClassCreatorFunc) LDialogBox::CreateDialogBoxStream);
//	URegistrar::RegisterClass(LEditField::class_ID,		(ClassCreatorFunc) LEditField::CreateEditFieldStream);
//	URegistrar::RegisterClass(LListBox::class_ID,		(ClassCreatorFunc) LListBox::CreateListBoxStream);
	URegistrar::RegisterClass(LPane::class_ID,			(ClassCreatorFunc) LPane::CreatePaneStream);
//	URegistrar::RegisterClass(LPicture::class_ID,		(ClassCreatorFunc) LPicture::CreatePictureStream);
//	URegistrar::RegisterClass(LPlaceHolder::class_ID,	(ClassCreatorFunc) LPlaceHolder::CreatePlaceHolderStream);
//	URegistrar::RegisterClass(LPrintout::class_ID,		(ClassCreatorFunc) LPrintout::CreatePrintoutStream);
//	URegistrar::RegisterClass('prto',					(ClassCreatorFunc) LPrintout::CreateOldPrintoutStream);
//	URegistrar::RegisterClass(LScroller::class_ID,		(ClassCreatorFunc) LScroller::CreateScrollerStream);
//	URegistrar::RegisterClass(LStdControl::class_ID,	(ClassCreatorFunc) LStdControl::CreateStdControlStream);
//	URegistrar::RegisterClass(LStdButton::class_ID,		(ClassCreatorFunc) LStdButton::CreateStdButtonStream);
//	URegistrar::RegisterClass(LStdCheckBox::class_ID,	(ClassCreatorFunc) LStdCheckBox::CreateStdCheckBoxStream);
//	URegistrar::RegisterClass(LStdRadioButton::class_ID,(ClassCreatorFunc) LStdRadioButton::CreateStdRadioButtonStream);
//	URegistrar::RegisterClass(LStdPopupMenu::class_ID,	(ClassCreatorFunc) LStdPopupMenu::CreateStdPopupMenuStream);
//	URegistrar::RegisterClass(LTextEdit::class_ID,		(ClassCreatorFunc) LTextEdit::CreateTextEditStream);
//	URegistrar::RegisterClass(LView::class_ID,			(ClassCreatorFunc) LView::CreateViewStream);
	URegistrar::RegisterClass(LWindow::class_ID,		(ClassCreatorFunc) LWindow::CreateWindowStream);

//	URegistrar::RegisterClass(LRadioGroup::class_ID,	(ClassCreatorFunc) LRadioGroup::CreateRadioGroupStream);
//	URegistrar::RegisterClass(LTabGroup::class_ID,		(ClassCreatorFunc) LTabGroup::CreateTabGroupStream);

#ifdef PP_NewClasses
//	URegistrar::RegisterClass(LCicnButton::class_ID,	(ClassCreatorFunc) LCicnButton::CreateCicnButtonStream);
//	URegistrar::RegisterClass(LOffscreenView::class_ID,	(ClassCreatorFunc) LOffscreenView::CreateOffscreenViewStream);
//	URegistrar::RegisterClass(LActiveScroller::class_ID,(ClassCreatorFunc) LActiveScroller::CreateActiveScrollerStream);
//	URegistrar::RegisterClass(LTable::class_ID,			(ClassCreatorFunc) LTable::CreateTableStream);
//	URegistrar::RegisterClass(LIconPane::class_ID,		(ClassCreatorFunc) LIconPane::CreateIconPaneStream);
//	URegistrar::RegisterClass(LGroupBox::class_ID,		(ClassCreatorFunc) LGroupBox::CreateGroupBoxStream);
//	URegistrar::RegisterClass(LTextButton::class_ID,	(ClassCreatorFunc) LTextButton::CreateTextButtonStream);
#endif
}
