//
//	Modal Filter Macros.h
//
//	Some far-too-clever macros to add modal filters to all alerts
//	in existing code (like PowerPlant.)
//
//	Try adding this to your pre-complied header.
//

#pragma once

#include "UModalFilter.h"

#define Alert(id, proc)			Alert		((id), (proc) ? (proc) : UModalFilter::GetFilter())
#define NoteAlert(id, proc)		NoteAlert	((id), (proc) ? (proc) : UModalFilter::GetFilter())
#define CautionAlert(id, proc)	CautionAlert((id), (proc) ? (proc) : UModalFilter::GetFilter())
#define StopAlert(id, proc)		StopAlert	((id), (proc) ? (proc) : UModalFilter::GetFilter())

#define ModalDialog(proc,item)	ModalDialog( (proc) ? (proc) : UModalFilter::GetFilter(), item )

