//
//	C3Lights.h
//
//	class C3Lights
//	Class for constructing a group consisting of 3 lights.
//
//	Based on the "Start Here" sample code from Apple.
//
//	by James Jennings
//	Started November 22, 1995
//

#pragma once

#include "CObjectMaker.h"
#include <QD3DLight.h>

class C3Lights : public CObjectMaker<TQ3GroupObject> {
	// some helper classes
	class CAmbient : public CObjectMaker<TQ3LightObject> {
	public:
		virtual void Make();
	};
	class CPoint : public CObjectMaker<TQ3LightObject> {
	public:
		virtual void Make();
	};
	class CFill : public CObjectMaker<TQ3LightObject> {
	public:
		virtual void Make();
	};
protected:
	virtual void Make();
};
