//
//	CBoxMaker.h
//
//	class CBoxMaker
//		Constructs a single box and assigns colors to each face.
//		Note: The face attributes are members and will be released
//		in the destructor.
//
//	by James Jennings
//	November 23, 1995
//

#pragma once

#include "CObjectMaker.h"

class CBoxMaker : public CObjectMaker<TQ3GeometryObject> {
public:
	CBoxMaker( float inSize = 1.0 );
	~CBoxMaker();
 	virtual	void	Make();
private:
	enum { numFaces = 6 };
	TQ3AttributeSet 	mFaces[numFaces];
	TQ3BoxData			mData;
};
