//
//	CShaderMakers.h
//
//	Make a QD3D Shader Object
//
//	by James Jennings
//	Started March 1, 1997
//

#pragma once

class CPhongShaderMaker : public CObjectMaker<TQ3ShaderObject> {
public:
protected:
	virtual void	Make()
	{
		mObject = ::Q3PhongIllumination_New();
		ThrowIfNil_(mObject);
	}
};
class CLambertShaderMaker : public CObjectMaker<TQ3ShaderObject> {
public:
protected:
	virtual void	Make()
	{
		mObject = ::Q3LambertIllumination_New();
		ThrowIfNil_(mObject);
	}
};
class CNULLShaderMaker : public CObjectMaker<TQ3ShaderObject> {
public:
protected:
	virtual void	Make()
	{
		mObject = ::Q3NULLIllumination_New();
		ThrowIfNil_(mObject);
	}
};
