//
//	CColorPicker.h
//
//	A wrapper for the Color Picker.
//	Requires that the ColorPickerLib be added to the project.
//	It's best to "Import 'Weak'" the ColorPickerLib.
//
//	by James Jennings
//	Started March 7, 1997
//

#pragma once

class CColorPicker {
public:
	
	static Boolean	IsAvailable();
	static Boolean	HasVersion2();
	
					CColorPicker();
					~CColorPicker();
	
	virtual void	SetPrompt( Str255 inPrompt );
	virtual Boolean	Choose(RGBColor &ioColor);
protected:
	virtual Boolean	Choose1(RGBColor &ioColor);	// version 1 picker
	virtual Boolean	Choose2(RGBColor &ioColor);	// version 2 or better
	
	static	pascal Boolean	PickerEventFilterFunction (EventRecord *inEvent);
	
	ColorPickerInfo mInfo;
};
