//
//	C3DMFReader.h
//
//	A class for building a Display TQ3GroupObject
//
//	by James Jennings
//	February 28, 1997
//

#pragma once

#include "CObjectMaker.h"

class C3DMFReader : public CObjectMaker<TQ3GroupObject> {
public:
			C3DMFReader(FSSpec *inFSSpec);
	virtual ~C3DMFReader();
	
	TQ3ViewHintsObject GetViewHints() 
			{ if (!mObject) Make(); return mViewHints; }
	
protected:
	virtual TQ3GroupPosition Add( TQ3GeometryObject inObject );
	virtual void	Make();
	
	TQ3ViewHintsObject 	mViewHints;
	TQ3FileObject		mFile;
};
