//
//	CRendererMaker.cp
//
//	by James Jennings
//	Started June 25, 1996
//

#include "CRendererMaker.h"

void CRendererMaker::Make()
{
	TQ3RendererObject theRenderer;
	
	theRenderer = ::Q3Renderer_NewFromType(kQ3RendererTypeInteractive);
	ThrowIfNil_(theRenderer);
	
	// these two lines set us up to use the best possible renderer,
	// including  hardware if it is installed.
	::Q3InteractiveRenderer_SetDoubleBufferBypass (theRenderer, kQ3True);						
	::Q3InteractiveRenderer_SetPreferences(theRenderer, kQAVendor_BestChoice, 0);
	
	mObject = theRenderer;
}
